Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenJavaFile

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenJavaFile

All Implemented Interfaces:
  `Closeable`, `Appendable`, `AutoCloseable`

public class JrpcgenJavaFile extends Object implements Appendable, Closeable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`JrpcgenJavaFile.Expression`
`class`
`JrpcgenJavaFile.MethodSignature`
`static enum`
`JrpcgenJavaFile.MethodSignatureStage`

## Method Summary

Modifier and Type
Method
Description
`JrpcgenJavaFile`
`append(char character)`
`JrpcgenJavaFile`
`append(CharSequence characterSequence)`
`JrpcgenJavaFile`
`append(CharSequence characterSequence, int start, int end)`
`JrpcgenJavaFile`
`beginBlock()`
`JrpcgenJavaFile.MethodSignature`
`beginInterfaceMethod()`
`JrpcgenJavaFile`
`beginLine()`
`JrpcgenJavaFile`
`beginNewLine()`
`JrpcgenJavaFile.MethodSignature`
`beginPrivateConstructor(String name)`
`JrpcgenJavaFile.MethodSignature`
`beginPrivateMethod()`
`JrpcgenJavaFile.MethodSignature`
`beginPublicAbstractMethod()`
`JrpcgenJavaFile.MethodSignature`
`beginPublicConstructor(String name)`
`JrpcgenJavaFile.MethodSignature`
`beginPublicMethod()`
`JrpcgenJavaFile`
`beginTypedefinition(String definition)`
`void`
`close()`
`JrpcgenJavaFile`
`dot()`
`JrpcgenJavaFile`
`elseBlock()`
`JrpcgenJavaFile`
`endBlock()`
`void`
`endMethod()`
`void`
`endTypedefinition()`
`JrpcgenJavaFile`
`expression(JrpcgenJavaFile.Expression expression)`
`int`
`getIndentationLength()`
`int`
`getLineLength()`
`PrintWriter`
`getPrintWriter()`
`JrpcgenJavaFile`
`keywordNew()`
`JrpcgenJavaFile`
`keywordReturn()`
`JrpcgenJavaFile`
`leftParenthesis()`
`JrpcgenJavaFile`
`newLine()`
`static JrpcgenJavaFile`
`open(String classname, JrpcgenContext context)`
`JrpcgenJavaFile`
`println(char character)`
`JrpcgenJavaFile`
`println(CharSequence characterSequence)`
`JrpcgenJavaFile`
`rightParenthesis()`
`JrpcgenJavaFile`
`semicolon()`
`JrpcgenJavaFile`
`space()`
`JrpcgenJavaFile`
`writeHeader(boolean emitImports)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### open

public static JrpcgenJavaFile open(String classname, JrpcgenContext context)

### getLineLength

public int getLineLength()

### getPrintWriter

public PrintWriter getPrintWriter()

### writeHeader

public JrpcgenJavaFile writeHeader(boolean emitImports)

### append

public JrpcgenJavaFile append(char character)

Specified by:
  `append` in interface `Appendable`

### append

public JrpcgenJavaFile append(CharSequence characterSequence)

Specified by:
  `append` in interface `Appendable`

### append

public JrpcgenJavaFile append(CharSequence characterSequence, int start, int end)

Specified by:
  `append` in interface `Appendable`

### println

public JrpcgenJavaFile println(char character)

### println

public JrpcgenJavaFile println(CharSequence characterSequence)

### beginLine

public JrpcgenJavaFile beginLine()

### newLine

public JrpcgenJavaFile newLine()

### beginNewLine

public JrpcgenJavaFile beginNewLine()

### space

public JrpcgenJavaFile space()

### dot

public JrpcgenJavaFile dot()

### leftParenthesis

public JrpcgenJavaFile leftParenthesis()

### rightParenthesis

public JrpcgenJavaFile rightParenthesis()

### semicolon

public JrpcgenJavaFile semicolon()

### keywordNew

public JrpcgenJavaFile keywordNew()

### keywordReturn

public JrpcgenJavaFile keywordReturn()

### expression

public JrpcgenJavaFile expression(JrpcgenJavaFile.Expression expression)

### beginTypedefinition

public JrpcgenJavaFile beginTypedefinition(String definition)

### endTypedefinition

public void endTypedefinition()

### beginPublicConstructor

public JrpcgenJavaFile.MethodSignature beginPublicConstructor(String name)

### beginPrivateConstructor

public JrpcgenJavaFile.MethodSignature beginPrivateConstructor(String name)

### beginPublicMethod

public JrpcgenJavaFile.MethodSignature beginPublicMethod()

### beginPrivateMethod

public JrpcgenJavaFile.MethodSignature beginPrivateMethod()

### beginPublicAbstractMethod

public JrpcgenJavaFile.MethodSignature beginPublicAbstractMethod()

### beginInterfaceMethod

public JrpcgenJavaFile.MethodSignature beginInterfaceMethod()

### endMethod

public void endMethod()

### beginBlock

public JrpcgenJavaFile beginBlock()

### elseBlock

public JrpcgenJavaFile elseBlock()

### endBlock

public JrpcgenJavaFile endBlock()

### getIndentationLength

public int getIndentationLength()

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`